package com.gic.cloud.web.auth;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.DataAuthDTO;
import com.gic.cloud.service.DataAuthApiService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class DataAuthUtils {
    private static final Logger log = LogManager.getLogger(DataAuthUtils.class);

    @Autowired
    private DataAuthApiService dataAuthApiService;

    public void getUserAuth(Integer userId, Integer enterpriseId){
        ServiceResponse<DataAuthDTO> response = this.dataAuthApiService.ggetDataAuthByUserId(enterpriseId, userId);
        if(response.isSuccess()){
            DataAuthDTO dataAuthDTO = response.getResult();
        }
    }
}
